@charset "UTF-8";

/* =====================================
　　　　　　　　　　Column
 ===================================== */

.l-scope.l-page [class*="l-column-stack-"]  .wp-block-columns{
  margin-bottom: 0;
}

.l-scope.l-page .l-column-stack-l  .wp-block-columns  .wp-block-column {
  padding: 2.0rem 0.5rem;
}

.l-scope.l-page .l-column-stack-m   .wp-block-columns .wp-block-column {
  padding: 1.5rem 0.5rem;
}

.l-scope.l-page .l-column-stack-s   .wp-block-columns .wp-block-column {
  padding: 1.0rem 0.5rem;
}

.l-scope.l-page .l-column-stack-xs   .wp-block-columns  .wp-block-column {
  padding: 0.5rem;
}

@media screen and (max-width:781px) {/*GutenbergのColunm切り替えポイント＝781px*/
  .l-scope.l-page [class*="l-column-stack-"] .wp-block-columns:where(.wp-block-columns) {
    gap:1em;/*横並びのときのgapを調整*/
  }
  /*縦並びの時の余白調整*/
  .l-scope.l-page [class*="l-column-stack-"].sp-vertical  .wp-block-column{
    padding:0;
  }

  .l-scope.l-page .l-column-stack-l.sp-vertical  .wp-block-columns {
    gap:1rem;
    padding:1.5rem 0;
  }

  .l-scope.l-page .l-column-stack-m.sp-vertical  .wp-block-columns {
    gap:1rem;
    padding:1.25rem 0;
  }

  .l-scope.l-page .l-column-stack-s.sp-vertical  .wp-block-columns {
    gap:0.2rem;
    padding:0.75rem 0;
  }

   .l-scope.l-page .l-column-stack-xs.sp-vertical  .wp-block-columns {
    gap:0;
    padding:0.5rem 0;
  }
  
  
}

/*font*/
.l-scope.l-page [class*="l-column-stack-"] .wp-block-columns .wp-block-heading{
  font-size: var(--font-size-m);
  margin-bottom: 0;
}

.l-scope.l-page [class*="l-column-stack-"] .wp-block-columns p,
.l-scope.l-page [class*="l-column-stack-"] .wp-block-columns li{
  font-size: var(--font-size-s);
  margin-bottom: 0;
}
/*最初のカラムブロック内のテキストを太字に*/
.l-scope.l-page [class*="l-column-stack-"] .wp-block-columns .wp-block-column:first-child{
  font-weight: bold;
}

/*background-color */
/*最初のカラムブロック内に背景色をつける*/
.l-scope.l-page .l-column-first-bg .wp-block-columns .wp-block-column:first-child{
  background-color: var(--color-hover);
  align-self: auto;
  display: flex;
  justify-content: center;
  flex-direction: column;
}